## libvpx 1.2.0

=== debian/changelog ===
libvpx (1.2.0-2) unstable; urgency=low

  * debian/rules,
    debian/patches/fix-armhf-link.patch:
    + Fix build on ARM by using the correct compiler and CFLAGS.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 27 May 2013 13:08:06 +0200

libvpx (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refreshed to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 26 May 2013 10:39:18 +0200
