=== debian/changelog ===
libvpx (1.3.0-2) unstable; urgency=medium

  * debian/control,
    debian/rules:
    + Build with gcc 4.8 to fix FTBFS on SPARC (Closes: #734445).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Jan 2014 11:25:31 +0100

libvpx (1.3.0-1) unstable; urgency=medium

  * New upstream release, including VP9 support:
    + debian/patches/fix-armhf-link.patch:
      - Refresh patch.
    + debian/rules,
      debian/libvpx1.symbols:
      - Update shlibs version and symbols file for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Dec 2013 18:20:51 +0100
