=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,10 @@
 CFLAGS += -O2
 CXXFLAGS += -O2
 endif
+
+export CC=gcc-4.8
+export CPP=cpp-4.8
+export CXX=g++-4.8
 
 builddir := $(CURDIR)/builddir
 
@@ -160,7 +164,7 @@
 	rm -rf debian/libvpx1-dbg/usr/lib/debug/usr/bin
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.1.0)' -- -c4
+	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.3.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
