## libvpx 1.3.0-34~1

=== debian/changelog ===
libvpx (1.3.0-34~1-sid+1) unstable; urgency=low

  * Nightly build.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 17:11:41 -0400

libvpx (1.3.0-4) unstable; urgency=low

  * New upstream release, "Eider".
  * debian/patches/*: Refreshed to apply cleanly again.
  * debian/rules: Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 May 2012 10:03:37 +0200
