## libvpx 1.4.0

=== debian/changelog ===
libvpx (1.4.0-4) unstable; urgency=medium

  * debian/rules:
    + Configure with --size-limit=16384x16384 to work around
      CVE-2015-1258 like Chrome does. Streams with a higher
      resolution than that will fail to decode now.
    + Configure with --enable-postproc --enable-multi-res-encoding
      --enable-temporal-denoising --enable-vp9-temporal-denoising
      --enable-vp9-postproc to mirror the configuration that Chrome
      is using.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jun 2015 10:09:08 +0200

libvpx (1.4.0-3) unstable; urgency=medium

  * debian/rules:
    + Disable MIPS assembly in the rules for now to try to fix FTBFS. The
      assembly is only used in the tools, not the library, and requires
      DSP R2 support.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2015 14:19:25 +0300

libvpx (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:40:02 +0300

libvpx (1.4.0-1) experimental; urgency=medium

  * New upstream stable release:
    + debian/control,
      debian/rules,
      debian/libvpx*symbols:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Apr 2015 18:17:08 +0200

libvpx (1.3.0+git20150219-1) experimental; urgency=medium

  * New upstream GIT snapshot, based on the Chrome version from 2015-02-19:
    + debian/patches/Bug-fix-in-ssse3-quantize-function.patch,
      debian/patches/vp9-out-of-bounds-access.patch:
      - Deleted, merged upstream.
    + debian/patches/fix-armhf-link.patch:
      - Rebased.
    + debian/libvpx1.symbols:
      - Update for API changes, i.e. dropping of old non-public API and
        addition of some new API.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Mar 2015 14:27:58 +0100

libvpx (1.3.0-3) unstable; urgency=high

  * debian/control:
    + Add VP9 to the short and long package descriptions (Closes: #760095).
  * debian/patches/vp9-out-of-bounds-access.patch:
    + Fix out of bounds access in the VP9 codec (CVE-2014-1578) (Closes: #765435).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Oct 2014 10:02:18 +0200

libvpx (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using the default GCC. Closes: #751318.
  * Move doxygen and php5-cli to B-D-I (Peter Pentchev). Closes: #726485.
  * Build using hardening defaults. Closes: #674570.
  * Apply bug fix for ssse3 quantize function.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:38:23 +0200
