=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,13 @@
   --enable-pic \
   --enable-shared \
   --disable-install-bins \
-  --disable-install-srcs
+  --disable-install-srcs \
+  --size-limit=16384x16384 \
+  --enable-postproc \
+  --enable-multi-res-encoding \
+  --enable-temporal-denoising \
+  --enable-vp9-temporal-denoising \
+  --enable-vp9-postproc
 
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
 configure_flags_neon := $(configure_flags) --target=armv7-linux-gcc
@@ -51,7 +57,21 @@
 ifeq ($(DEB_HOST_ARCH), powerpc)
 configure_flags += --target=ppc32-linux-gcc
 else
+ifeq ($(DEB_HOST_ARCH), mips)
 configure_flags += --target=generic-gnu
+# Disable MIPS assembly for now, it requires DSP R2
+CFLAGS += -DLIBYUV_DISABLE_MIPS=1
+CXXFLAGS += -DLIBYUV_DISABLE_MIPS=1
+else
+ifeq ($(DEB_HOST_ARCH), mipsel)
+configure_flags += --target=generic-gnu
+# Disable MIPS assembly for now, it requires DSP R2
+CFLAGS += -DLIBYUV_DISABLE_MIPS=1
+CXXFLAGS += -DLIBYUV_DISABLE_MIPS=1
+else
+configure_flags += --target=generic-gnu
+endif
+endif
 endif
 endif
 endif
@@ -66,20 +86,9 @@
 export CROSS
 endif
 
-CFLAGS += -Wall -g
-CXXFLAGS += -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-CXXFLAGS += -O0
-else
-CFLAGS += -O2
-CXXFLAGS += -O2
-endif
-
-export CC=gcc-4.8
-export CPP=cpp-4.8
-export CXX=g++-4.8
+CFLAGS += -Wall $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
+CXXFLAGS += -Wall $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 builddir := $(CURDIR)/builddir
 
@@ -88,17 +97,19 @@
 	dh_testdir
 	mkdir -p $(builddir); \
 	cd $(builddir); \
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(CURDIR)/configure \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		$(configure_flags)
 	touch $@
 ifeq ($(BUILD_NEON), Yes)
 	mkdir -p $(builddir)-neon; \
 	cd $(builddir)-neon; \
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"  $(CURDIR)/configure \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		$(configure_flags_neon)
 	touch $@
 endif
 
+build-arch: build
+build-indep: build
 build: build-stamp
 
 build-stamp: configure-stamp
@@ -148,23 +159,23 @@
 	dh_testdir
 	dh_testroot
 	dh_install -s
-	mkdir -p debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)
-	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
 ifeq ($(BUILD_NEON), Yes)
-	mkdir -p debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
-	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
 endif
 	mkdir -p debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -a builddir/vpx-vp8-*/lib/libvpx.so builddir/vpx-vp8-*/lib/libvpx.a debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_installdocs -s -A README AUTHORS
 	dh_installchangelogs -s CHANGELOG
 	dh_link -s
-	dh_strip -s --dbg-package=libvpx1-dbg
+	dh_strip -s --dbg-package=libvpx2-dbg
 	# Make sure not to conflict with past SONAMEs:
-	rm -rf debian/libvpx1-dbg/usr/lib/debug/usr/bin
+	rm -rf debian/libvpx2-dbg/usr/lib/debug/usr/bin
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.3.0)' -- -c4
+	dh_makeshlibs -plibvpx2 -V 'libvpx2 (>= 1.4.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
