## libvpx 1.5.0

=== debian/changelog ===
libvpx (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Moved to Debian Multimedia Maintainers team
  * Added d/watch file
  * Bumped debhelper version to 9
  * Use automatic debug packages instead of libvpx3-dbg
  * Bumped Standards-Version to 3.9.8 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 10 Aug 2016 23:04:35 +0200

libvpx (1.5.0-3) unstable; urgency=medium

  * debian/control:
    + Remove php5-cli from Build-Depends-Indep, it's unused since a while
      anyway and going to be removed in favor of php7 (Closes: #821689).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 May 2016 11:50:23 +0300

libvpx (1.5.0-2) unstable; urgency=medium

  * debian/rules:
    + Disable PPC specific target to fix FTBFS. It's not supported anymore.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Dec 2015 16:40:00 +0200

libvpx (1.5.0-1) unstable; urgency=medium

  * New upstream release:
    + debian/rules,
      debian/control,
      debian/libvpx*.symbols:
      - Update from libvpx2 to libvpx3.
  * debian/patches/fix-build.patch:
    + Fix invalid C that causes the build to fail (Closes: #809129).
      Patch based on the one from Colin Watson from
      https://bugs.launchpad.net/ubuntu/+source/libvpx/+bug/1528297

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Dec 2015 09:59:43 +0200
