=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>,
+Build-Depends: debhelper (>= 9),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386]
-Build-Depends-Indep: doxygen, php5-cli
-Standards-Version: 3.9.5
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.8
 Homepage: http://www.webmproject.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libvpx.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libvpx.git/
 
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx2 (= ${binary:Version}),
+Depends: libvpx3 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
@@ -23,7 +26,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx2
+Package: libvpx3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -36,20 +39,6 @@
  on which the Theora codec was based.
  .
  This package contains the shared libraries.
-
-Package: libvpx2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libvpx2 (= ${binary:Version}),
-         ${misc:Depends}
-Description: VP8 and VP9 video codec (debugging symbols)
- VP8 and VP9 are open video codecs, originally developed by On2 and released
- as open source by Google Inc. They are the successor of the VP3 codec,
- on which the Theora codec was based.
- .
- Debugging symbols for the VPX library. This is
- needed to debug programs linked against libvpx2.
 
 Package: libvpx-doc
 Section: doc
@@ -67,7 +56,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx2 (= ${binary:Version}),
+Depends: libvpx3 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: foreign
