=== debian/rules ===
--- 
+++ 
@@ -54,9 +54,6 @@
 ifeq ($(DEB_HOST_ARCH), hurd-i386)
 configure_flags += --target=x86-linux-gcc
 else
-ifeq ($(DEB_HOST_ARCH), powerpc)
-configure_flags += --target=ppc32-linux-gcc
-else
 ifeq ($(DEB_HOST_ARCH), mips)
 configure_flags += --target=generic-gnu
 # Disable MIPS assembly for now, it requires DSP R2
@@ -70,7 +67,6 @@
 CXXFLAGS += -DLIBYUV_DISABLE_MIPS=1
 else
 configure_flags += --target=generic-gnu
-endif
 endif
 endif
 endif
@@ -159,23 +155,23 @@
 	dh_testdir
 	dh_testroot
 	dh_install -s
-	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
-	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)
 ifeq ($(BUILD_NEON), Yes)
-	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
-	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	mkdir -p debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
 endif
 	mkdir -p debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -a builddir/vpx-vp8-*/lib/libvpx.so builddir/vpx-vp8-*/lib/libvpx.a debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_installdocs -s -A README AUTHORS
 	dh_installchangelogs -s CHANGELOG
 	dh_link -s
-	dh_strip -s --dbg-package=libvpx2-dbg
+	dh_strip -s --dbgsym-migration='libvpx3-dbg (<< 1.5.0-3~)'
 	# Make sure not to conflict with past SONAMEs:
-	rm -rf debian/libvpx2-dbg/usr/lib/debug/usr/bin
+	rm -rf debian/libvpx3-dbg/usr/lib/debug/usr/bin
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx2 -V 'libvpx2 (>= 1.4.0)' -- -c4
+	dh_makeshlibs -plibvpx3 -V 'libvpx3 (>= 1.5.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
