## libvpx 1.6.0

=== debian/changelog ===
libvpx (1.6.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Sep 2016 07:46:20 +0200

libvpx (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Sep 2016 10:46:47 +0200

libvpx (1.6.0-1) experimental; urgency=medium

  * New upstream release
    - ABI version bump
  * Removed d/p/fix-armhf-link.patch, applied upstream
  * Removed useless rm from -dbg package
  * Use dh sequencer and dh-exec for building package
  * Enabled all but PIE hardening
  * Added myself as uploader
  * Added doc-base for documentation
  * d/copyright: Rewritten for new upstream release in machine-readable format
  * Override Lintian embedded-javascript-library - it's not jQuery lib
  * d/copyright: Added myself to Debian part
  * d/p/fix-build.patch: Added DEP-3 header
  * Added man pages (Closes: #769532)
  * Enabled parallel building
  * Added autopkgtest
  * d/rules: Removed dh_strip and dh_makeshlibs overrides

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Aug 2016 15:12:01 +0200
