=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
-               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386]
+               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
+               dh-exec,
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.8
 Homepage: http://www.webmproject.org
@@ -14,7 +16,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx3 (= ${binary:Version}),
+Depends: libvpx4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
@@ -26,7 +28,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx3
+Package: libvpx4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -56,7 +58,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx3 (= ${binary:Version}),
+Depends: libvpx4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: foreign
