## libvpx 1.6.1

=== debian/changelog ===
libvpx (1.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Feb 2017 09:23:17 +0100

libvpx (1.6.1-2) unstable; urgency=medium

  * Add arm64 native support
  * Build generic-gnu on armel/armhf because armv6-linux-gcc support was dropped

 -- Ondřej Nový <onovy@debian.org>  Tue, 17 Jan 2017 17:23:34 +0100

libvpx (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Removed d/patches/fix-build.patch - not needed anymore

 -- Ondřej Nový <onovy@debian.org>  Tue, 17 Jan 2017 12:59:18 +0100

libvpx (1.6.0-3) unstable; urgency=medium

  * Bumped debhelper version to 10
  * Install vpx.pc into a multiarch location (Closes: #843724)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 Nov 2016 09:57:03 +0100
