=== debian/rules ===
--- 
+++ 
@@ -29,20 +29,16 @@
 BUILD_NEON=Yes
 endif
 
+ifeq ($(DEB_HOST_ARCH), arm64)
+configure_flags += --target=arm64-linux-gcc
+else
 ifeq ($(DEB_HOST_ARCH), armel)
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-configure_flags += --target=armv6-linux-gcc --enable-small
-else
-configure_flags += --target=generic-gnu
-endif
+configure_flags += --target=generic-gnu --enable-small
 else
 ifeq ($(DEB_HOST_ARCH), armhf)
 # now armhf is ARMv7, but ARMv7 in vpx means NEON, which is not mandatory on armhf
-# thus we use ARMv6 and -marm (since no thumb2 on ARMv6) to ensure compatability
-# with all ARMv7 cores we support.
-DEB_CFLAGS_MAINT_APPEND += -marm
-DEB_CXXFLAGS_MAINT_APPEND += -marm
-configure_flags += --target=armv6-linux-gcc --enable-small
+# thus we use generic-gnu
+configure_flags += --target=generic-gnu --enable-small
 else
 ifeq ($(DEB_HOST_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
@@ -81,6 +77,7 @@
 endif
 endif
 endif
+endif
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS=$(DEB_HOST_GNU_TYPE)-
@@ -93,7 +90,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
