## libvpx 1.7.0

=== debian/changelog ===
libvpx (1.7.0-4+deb10u1.lnd.1) UNRELEASED; urgency=medium

  * 1. Add loongarch support
  * 2. Optimize VP8, VP9 function with LSX

 -- jenkins <jenkins@loongson.cn>  Fri, 27 May 2022 16:38:13 +0800

libvpx (1.7.0-4+deb10u1) buster-security; urgency=medium
 
   * Following changes are based on gerrit loongson-v1.7.0 branch.
   * 1. Fix bugs:
   *  1) Fix a type conflict bug.
   *  2) Fix clang building bugs.
   * 2. Add vpx-convolve8 series MMI optimizations.
   * 3. Open community MSA optimizations.
   * 4. Implement binary compatibility on 2K1000,3A3000,3A4000.

 -- Jin Bo <jinbo@loogson.cn>  Tue, 8 Sep 2020 00:09:29 +0800

libvpx (1.7.0-3+deb10u1) buster-security; urgency=medium

  * CVE-2019-9232 CVE-2019-9325 CVE-2019-9371 CVE-2019-9433

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 27 Nov 2019 00:09:29 +0100

libvpx (1.7.0-3) unstable; urgency=medium

  * Uploading to unstable
  * Install examples into libvpx-dev

 -- Ondřej Nový <onovy@debian.org>  Sat, 17 Feb 2018 13:47:07 +0100

libvpx (1.7.0-2) experimental; urgency=medium

  * New upstream release
    - This release is ABI incompatible due to new vp9 encoder features.
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/copyright: Bump copyright year
  * d/libvpx-doc.lintian-overrides: Remove, not needed anymore
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Feb 2018 15:41:07 +0100

libvpx (1.6.1-3) unstable; urgency=medium

  * Team upload.
  * Mark libvpx-doc as Multi-Arch:foreign.
  * Do not forcefully disable PIE anymore as -pie changed meaning.
    (Closes: #859415)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 23:06:37 +0200
