=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CFLAGS_MAINT_APPEND = -Wall
 DEB_CXXFLAGS_MAINT_APPEND = -Wall
@@ -67,7 +67,11 @@
 DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
 DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
 else
+ifeq ($(DEB_HOST_ARCH), mips64el)
+configure_flags += --target=mips64-linux-gcc --cpu=loongson3a
+else
 configure_flags += --target=generic-gnu
+endif
 endif
 endif
 endif
